Subject: RE: share memory problem for G98 on Linux

From: dominic ditoro <[email-masked]>
Date: Thu, 1 Aug 2002 10:08:36 -0400

Yes, we have seen this as well. The problem is that shared memory is not
released when a job is killed. You need to release it manually using ipcrm.
You can see which need to be removed with ipcs. The command we use is

ipcrm shm `ipcs -m |grep -i 0x0 | awk '{print $2;}'`

It just automates selecting the shared memory addresses.

Dom

Dominic M. Di Toro
Donald J. O'Connor Professor of Environmental Engineering
4513 Manhattan College Parkway
Manhattan College
Riverdale, NY 10471
Tel: 718-862-7276
FAX: 718-862-8018
[email-masked]

 -----Original Message-----
From: 	Yubo Fan [mailto:[email-masked]] 
Sent:	Tuesday, July 30, 2002 12:31 PM
To:	[email-masked]
Subject:	CCL:share memory problem for G98 on Linux

Hi, everyone,

A share memory problem has always been bothering me for a long time
since I ran G98 jobs on Linux boxes. Often, I have to kill running jobs
manually to stop optimizations to wrong geometries. I just use "kill -9
'IDs of G98 job'". But, if I killed many times, I couldn't run parallel
jobs any more. Share memory cannot be available at all. I have to
restart the system to clean memory.

Any advice. Thanks in advance

Yubo

--
============================================================
Yubo Fan                   Email: [email-masked]
Department of Chemistry    Tel:   1-979-845-7222
Texas A&M University
College Station, TX 77843
============================================================

-= This is automatically added to each message by mailing script =-
[email-masked] -- To Everybody  | [email-masked] -- To Admins
Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]